Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.ode
Class StdMet

public class StdMet

Method Summary
`static void` | `arraycpy(double[] a, double[] b)`
`static void` | `arraydiff(double[] c, double[] a, double[] b)`
`static void` | `arrayprt(double[] a)`
`static void` | `arraysum(double[] c, double[] a, double[] b)`
`static void` | `dotPro(double[] result, double[] a, double[] b)`
`static void` | `dotQuo(double[] result, double[] a, double[] b)`
`static void` | `epsilon(double[] result, double[] xn, double[] xnPlusOne, double atol, double rtol)`
`static void` | `matrixcpy(double[][] a, double[][] b)`
`static void` | `mtam(double[] result, double[][] matrix, double[] array)`
`static double` | `normInf(double[] vector)`
`static double` | `rmsNorm(double[] vector)`
`static void` | `stam(double[] result, double scalar, double[] array)`
`static void` | `tau(double[] result, double[] xn, double[] xnPlusOne, double[] atol, double[] rtol)`
`static void` | `zero_out(double[] a)`

Method Detail

### arraycpy

    public static void arraycpy(double[] a, double[] b)
                          throws java.lang.Exception

### arraydiff

    public static void arraydiff(double[] c, double[] a, double[] b)
                           throws java.lang.Exception

### arrayprt

    public static void arrayprt(double[] a)

### arraysum

    public static void arraysum(double[] c, double[] a, double[] b)
                          throws java.lang.Exception

### dotPro

    public static void dotPro(double[] result, double[] a, double[] b)
                        throws java.lang.Exception

### dotQuo

    public static void dotQuo(double[] result, double[] a, double[] b)
                        throws java.lang.Exception

### epsilon

    public static void epsilon(double[] result, double[] xn, double[] xnPlusOne, double atol, double rtol)
                         throws java.lang.Exception

### matrixcpy

    public static void matrixcpy(double[][] a, double[][] b)
                           throws java.lang.Exception

### mtam

    public static void mtam(double[] result, double[][] matrix, double[] array)
                      throws java.lang.Exception

### normInf

    public static double normInf(double[] vector)

### rmsNorm

    public static double rmsNorm(double[] vector)

### stam

    public static void stam(double[] result, double scalar, double[] array)
                      throws java.lang.Exception

### tau

    public static void tau(double[] result, double[] xn, double[] xnPlusOne, double[] atol, double[] rtol)
                     throws java.lang.Exception

### zero_out

    public static void zero_out(double[] a)

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM